'************************************************************
'Name                : lauflicht.bas
'Purpose             : Lauflicht fr Schwibbogen mit 7 Kerzen
'Version             : V0.01
'Compiler            : BasCom AVR 1.11.7.4
'Hardware            : LED's bzw ULN2803 an PB0 bis PB6

'Bytes               : 280
'Chip type           : AT90S2313
'History
'************************************************************
$regfile = "2313def.dat"                                    'AT90S2313
'$crystal = 3579545
$crystal = 4190000                                          'Atmel im 25P-Sub-D


Ddrb = &B1111111                                            'Pin PB0-7 Ausgang
Dim A As Byte
Dim I As Byte
Portb = 127                                                 'alle Ports an
Wait 2                                                      'Warte 2 sec
Portb = 0                                                   'alle Ports aus

Do
  Restore Lauf                                              'Zeiger auf Beginn der Daten setzen
  For I = 1 To 68                                           'Lese nchsten Wert
    Read A                                                  'Setze Port
    Portb = A
    Waitms 500
  Next I
Loop

End
Lauf:
Data 1 , 2 , 4 , 8 , 16 , 32 , 64 , 0,                      '8  1234567 einzeln
Data 64 , 32 , 16 , 8 , 4 , 2 , 1 , 0,                      '8  7654321 einzeln
Data 1 , 3 , 7 , 15 , 31 , 63 , 127 , 127,                  '8  1234567 addierend
Data 126 , 124 , 120 , 112 , 96 , 64 , 0 , 0,               '8  1234567 subtrahierend
Data 1 , 64 , 2 , 32 , 4 , 16 , 8 , 0 , 8 , 0 , 8 , 0,      '12 1726354-4-4 einzeln
Data 65 , 99 , 119 , 127 , 62 , 28 , 8 , 0,                 '8  1726354 add. zur Mitte
Data 8 , 28 , 62 , 127 , 119 , 99 , 65 , 0,                 '8          sub. zur Mitte
Data 1 , 33 , 37 , 45 , 61 , 63 , 127 , 0                   '8  1634527 addierend